/*
 * LaserConfig.cc
 *
 *  Created on: 21/03/2012
 *      Author: Carlos
 */
#include "LaserConfig.h"

LaserConfig::LaserConfig(int d)
    : ConfigFile("laser"), _delay(d)
{
}
LaserConfig::LaserConfig(const LaserConfig &L)
{
        cpy(L);
}
LaserConfig &LaserConfig::operator=(const LaserConfig &L)
{

    if (this!=&L)
        cpy(L);

    return *this;
}
LaserConfig::~LaserConfig()
{

}

void LaserConfig::cpy(const LaserConfig &L)
{
    *dynamic_cast<ConfigFile *>(this) = *dynamic_cast<const ConfigFile *>(&L);
    delay(L._delay);
}

void LaserConfig::load_data()
{
    if (exists())
    {
        _delay = get_int("delay");
    }
}

void LaserConfig::save_data()
{
    set_int("delay", _delay);
}
int LaserConfig::delay() const
{
    return _delay;
}
void LaserConfig::delay(int v)
{
    _delay=v;
    set_int("delay", v);
}



