/*
 * USBserialWnds.h
 *
 *  Created on: Jan 11, 2012
 *      Author: lacasta
 */

#ifndef USBSERIALWNDS_H_
#define USBSERIALWNDS_H_

#include <USBport.h>
class Fifo;
struct USBserial_priv;

class USBserialWnds: public USBport
{
    private:
        int fd;
        USBserial_priv *_priv;
    public:
        USBserialWnds();
        USBserialWnds(const char *fnam);

        virtual ~USBserialWnds();

        int open(const std::string &fnam);
        int close();
        int read(void *buf, int size);
        int write(void *buf, int size);
        int flush();

        int fildes() const;
        int setup_fifo(Fifo *);
        void stop_thread();
        void wait_for_port_data(Fifo *);

};

#endif /* USBSERIALWNDS_H_ */
