/*
 * python-compat.h
 *
 *  Created on: Oct 30, 2009
 *      Author: lacasta
 */

#ifndef PYTHONCOMPAT_H_
#define PYTHONCOMPAT_H_

#if (PY_VERSION_HEX < 0x02050000)
typedef int Py_ssize_t;
typedef inquiry lenfunc;
typedef intargfunc ssizeargfunc;
typedef intintargfunc ssizessizeargfunc;
typedef intobjargproc ssizeobjargproc;
typedef intintobjargproc ssizessizeobjargproc;
typedef getreadbufferproc readbufferproc;
typedef getwritebufferproc writebufferproc;
typedef getsegcountproc segcountproc;
#endif

#if (PY_VERSION_HEX < 0x02040600)
typedef char * pycharp_t;
#define Py_DecRef Py_DECREF
#define Py_IncRef Py_INCREF
#else
typedef const char * pycharp_t;
#endif


#endif /* PYTHONCOMPAT_H_ */
